﻿local f = CreateFrame("Frame")
f:RegisterEvent("ADDON_LOADED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function(self, event, addon)
	local origs = {}

	local AddMessage = function(self, message, ...)
		if(type(message) == "string") then
			if message:match("^|H(.-)|h%[(.-)|h: >") then
				message = message:gsub(">(.+)", "|cff789922>%1|r")
			end
		end

		return origs[self](self, message, ...)
	end

	local blacklist = {
		[ChatFrame2] = true,
	}

	for i=1, NUM_CHAT_WINDOWS do
		local cf = _G["ChatFrame"..i]

		if not blacklist[cf] then
			origs[cf] = cf.AddMessage
			cf.AddMessage = AddMessage
		end
	end
end)